Name:     libksba
Version:  1.6.4
Release:  1
Summary:  A library for X.509 and CMS
License:  (LGPL-3.0+ or GPL-2.0+) and GPL-3.0+ and MIT
URL:      https://www.gnupg.org/software/libksba/index.html
Source0:  https://www.gnupg.org/ftp/gcrypt/libksba/libksba-%{version}.tar.bz2
Source1:  https://www.gnupg.org/ftp/gcrypt/libksba/libksba-%{version}.tar.bz2.sig

BuildRequires: gcc gawk libgpg-error-devel >= 1.8 libgcrypt-devel >= 1.2.0

%description
Libksba is a library to make the tasks of working with X.509 certificates,
CMS data and related objects more easy. It provides a highlevel interface to
the implemented protocols and presents the data in a consistent way.

%package devel
Summary: Development headers and libraries for %{name}
Requires:%{name} = %{version}-%{release}

%description devel
Development headers and libraries for %{name}

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-dependency-tracking
%make_build

%install
%make_install
%delete_la

%check
make check

%pre

%preun

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license COPYING* AUTHORS
%doc ChangeLog README NEWS  THANKS
%{_libdir}/libksba.so.*
%exclude %{_infodir}/dir

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*.h
%{_libdir}/*.so
%{_datadir}/aclocal/ksba.m4
%{_libdir}/pkgconfig/ksba.pc

%files help
%doc TODO 
%{_datadir}/info/ksba.info.gz

%changelog
* Tue Feb 27 2024 yixiangzhike <yixiangzhike007@163.com> - 1.6.4-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revert "update version to 1.6.5"

* Mon Dec 12 2023 zhangkea <zhangkea@uniontech.com> - 1.6.5-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.6.5

* Wed Jul 12 2023 yixiangzhike <yixiangzhike007@163.com> - 1.6.4-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.6.4

* Tue Jan 17 2023 yixiangzhike <yixiangzhike007@163.com> - 1.6.3-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.6.3

* Thu Dec 22 2022 yixiangzhike <yixiangzhike007@163.com> - 1.6.2-2
- Type:cve
- ID:CVE-2022-47629
- SUG:NA
- DESC:fix CVE-2022-47629

* Tue Nov 15 2022 yixiangzhike <yixiangzhike007@163.com> - 1.6.2-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.6.2

* Wed Oct 19 2022 yixiangzhike <yixiangzhike007@163.com> - 1.6.0-2
- Type:cve
- ID:CVE-2022-3515
- SUG:NA
- DESC:fix CVE-2022-3515

* Thu Dec 30 2021 yixiangzhike <yixiangzhike007@163.com> - 1.6.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.6.0

* Thu Jan 21 2021 lirui <lirui130@huawei.com> - 1.5.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.5.0

* Fri Sep 25 2020 yang_zhuang_zhuang <yangzhuangzhuang1@huawei.com> - 1.4.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Remove obsolete scriptlets

* Sat Jul 25 2020 yang_zhuang_zhuang <yangzhuangzhuang1@huawei.com> - 1.4.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.4.0

* Sat Jan 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-12
- delete unused patch

* Wed Oct 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-11
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: change the directory of AUTHORS

* Fri Sep 27 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-10
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: revise spec file with new rules

* Mon Aug 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.5-9
- Package init
